%
%   21.7.03
%
%   calculation of d(x(t),t)'
%
function z=cal_dxtprime(daefile,x,t,argx,varargin)
%
%   daefile - m-file of the example
%   x - m-file of x(t)
%   t - timepoint
%   argx - number of additional arguments of x(t) in the beginning of varargin
%
%   splitting of varargin
%
%   varargin{1:argx} - parameters of x(t)
%   varargin{argx+1:end} - parameters of daefile
%
xoft=feval(x,t,varargin{1:argx});
d0=feval(daefile,[],xoft,t,'d',varargin{argx+1:end});
tresh=1.0;    %1000000000;  % austesten
[z,fac,g1,nF]=numjac('d_t',xoft,t,d0,tresh,[],0,[],[],x,daefile,argx,varargin{:});
